SETSBUF(3PVM)

NAME
pvm_setsbuf - Switches the active send buffer.

SYNOPSIS
C	int oldbuf = pvm_setsbuf( int bufid )

Fortran	call pvmfsetsbuf( bufid, oldbuf )

PARAMETERS

bufid
    Integer the message buffer identifier for the new active send buffer. A value of 0 indicates the default receive buffer.

oldbuf
    Integer returning the message buffer identifier for the previous active send buffer.

DESCRIPTION
The routine pvm_setsbuf switches the active send buffer to bufid and saves the previous active send buffer oldbuf. If bufid is set to 0 then the present active send buffer is saved and no active send buffer exists.

The routine is required when managing multiple message buffers. For example switching back and forth between two buffers. One buffer could be used to send information to a graphical interface while a second buffer could be used send data to other tasks in the application.

EXAMPLES
C:
	sbuf1 = pvm_setsbuf( sbuf2 );
Fortran:
	CALL PVMFSETSBUF( NEWBUF, OLDBUF )

ERRORS
These error conditions can be returned by pvm_setsbuf

PvmBadParam
    giving an invalid bufid.

PvmNoSuchBuf
    switching to a non-existent message buffer.

SEE ALSO
pvm_setrbuf(3PVM)